CLIMM(1)

NOME
climm - un piccolo client ICQ testuale

SINTASSI
climm [-h] [-c] [-i <locale>] [-b <basedir>] [-f <configfile>] [-v[level]] [-l <logplace>]

DESCRIZIONE
climm è un client testuale per il protocollo ICQ che supporta molte delle caratteristiche fornite dal client di Mirabilis. climm permette di cambiare la password dell'utente, creare nuovi account, aggiornare le informazioni dell'utente, cercare altri utenti, inviare SMS, aprire connessioni dirette, inviare messaggi di consenso, trasferire files, scoprire quali client usano gli altri utenti, inviare messaggi codificati con UTF-8, eseguire qualsivoglia comando per qualsisasi evento, ecc.

OPZIONI

-h|--help
    Mostra un breve testo di aiuto ed esce.

-c|--nocolor
    Disabilita l'utilizzo dei colori.

-i|--i18n <locale>
    Utilizza la traduzione locale invece di quella derivata dalle variabili d'ambiente.

-b|--basedir <basedir>
    Specifica basedir come la directory di base dove climm cercherà i suoi file, in particolare il suo file climmrc.

-f|--config <configfile>
    Specifica configfile come il file di configurazione da usare.

-v|--verbose[level]
    Imposta la modalità prolissa, o imposta la prolissità al grado level.

-l|--logplace file|dir
    Utilizza file come logfile per scriverci le registrazioni, o utilizza dir come directory per creare logfile per ciascun utente.

CARATTERISTICHE
climm è portabilissimo e gira su Linux, DOS, OS/2, Win32, BeOS, AmigaOS, GNU HURD e molti altri sistemi unix moderni. E' risaputo che la versione 0.4.10 di climm giri su Linux, AIX, HPUX, Tru64, AmigaOS, parzialmente su BeOS e altri sistemi unix. Tuttavia, gli altri adattamenti (ports) potrebbero funzionare oppure no e chiunque voglia collaudarli è il benvenuto.

STORIA

16 Ago 1998
    Matthew D. Smith rende pubblico climm seguito da 12 uscite datate fino al 25 Settembre 1998.

05 Gen 2001
    Matthew D. Smith muore in un incidente automobilistico. Gli utenti proseguono il lavoro di Matthew da dove egli lo lasciò, formalizzano climm sotto la licenza BSD e riniziarono lo sviluppo di climm.

10 Giu 2002
    La versione 0.4.9 viene rilasciata sotto la licenza GPL, implementando infine la nuova versione 8 del protocollo ICQ, implementazione fatta da Rüdiger Kuhlmann.

MAILING-LIST
La mailing list di climm è climm-list@climm.org. Le informazioni circa la sottoscrizione e l'archivio sono disponibili a http://www.climm.org/pipermail/climm-list/.

DOWNLOAD
Via HTTP da http://www.climm.org/download.
Per ottenere la versione più nuova con il sistema CVS, digitare:
cvs -d:pserver:anonymous@climm.org:/var/lib/cvs co climm

VEDI ANCHE
climmrc(5), climmcmds(7)

FILE

~/.climmrc
    Vecchio file di configurazione per climm - obsoleto.

~/.climm/
    La directory di base predefinita dove climm ricerca i suoi file.

BASE/climmrc
    File di configurazione per climm.

BASE/i18n/*.i18n
    File di traduzione di climm per ignorare le impostazioni locali.

BASE/contacts/
    Directory dove i meta dati per i contatti sono conservati.

BASE/history/
    Directory predefinita per i file di registro (logfile).

BASE/files/
    Directory dove i file in recezione vengono salvati.

BASE/remote-control
    Locazione predefinita del FIFO usato per il controllo remoto.

PREFISSO/share/climm/*.i18n
    File di internazionalizzazione contenente la traduzione di tutte le stringhe che climm mostra.

DIFETTI (BUGS)
Invia i resoconti dei difetti (bug reports) o commenti a Rüdiger Kuhlmann <climm@ruediger-kuhlmann.de> (in Tedesco o in Inglese).

AUTORI
L'autore di questa pagina di manuale è James Morrison <ja2morrison@student.math.uwaterloo.ca> ed è derivata dalla pagina di manuale minimale scritta da Jordi Mallach <jordi@sindominio.net> per il sistema Debian GNU/Linux. Questa pagina di manuale è stata tradotta in italiano da Fabio Venturi <fabio.venturi@studenti.unipr.it>.